Subject: Re: linux-next: build failure after merge of the net-next tree

From: David Miller <[email-masked]>
Date: Wed, 13 Apr 2016 11:15:13 -0400 (EDT)

From: Stephen Rothwell <[email-masked]>
Date: Wed, 13 Apr 2016 17:50:28 +1000

> After merging the net-next tree, today's linux-next build (arm
> allmodconfig) failed like thisi (this has actually been failing for a
> few days, now):
> 
> ERROR: "__bad_udelay" [drivers/net/ethernet/intel/ixgbe/ixgbe.ko] undefined!
> 
> Caused by commit
> 
>   49425dfc7451 ("ixgbe: Add support for x550em_a 10G MAC type")
> 
> arm only allows udelay()s up to 2 milliseconds.  This commit
> adds a 5 ms udelay in ixgbe_acquire_swfw_sync_x550em_a() in
> drivers/net/ethernet/intel/ixgbe/ixgbe_x550.c.

Jeff, please have your folks look into this.  Probably just a simple
conversion to mdelay().

Thanks!